package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 数据报表类型
 */
@AllArgsConstructor
@Getter
public enum ESheetType {

    /**
     * 数据报表（综合）
     */
    COMBINE(1, "数据报表", 0, EnumsPrefixConstants.SHEET_TYPE + "1"),

    /**
     * 国内数据报表
     */
    HOME(2, "国内数据报表", 0, EnumsPrefixConstants.SHEET_TYPE + "2"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static ESheetType getEnumByValue(int value) {
        for (ESheetType enums : ESheetType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }
}
